package com.sunxung.factoring.entity.financing.contract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 合同:主合同信息
 * </p>
 *
 * @author liutao
 * @since 2024-01-23
 */
@TableName("contract_master_contract")
public class ContractMasterContract extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 合同基础信息ID
     */
    @TableField("contract_info_id")
    private Long contractInfoId;

    /**
     * 合同份数
     */
    @TableField("contract_num")
    private Integer contractNum;

    /**
     * 保理主合同特殊约定
     */
    @TableField("special_agreement")
    private String specialAgreement;

    /**
     * 保理信息表特殊约定
     */
    @TableField("factoring_contract_agreement")
    private String factoringContractAgreement;

    /**
     * 融资确认书特殊约定
     */
    @TableField("financing_confirm_agreement")
    private String financingConfirmAgreement;

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }

    public String getSpecialAgreement() {
        return specialAgreement;
    }

    public void setSpecialAgreement(String specialAgreement) {
        this.specialAgreement = specialAgreement;
    }

    public String getFactoringContractAgreement() {
        return factoringContractAgreement;
    }

    public void setFactoringContractAgreement(String factoringContractAgreement) {
        this.factoringContractAgreement = factoringContractAgreement;
    }

    public String getFinancingConfirmAgreement() {
        return financingConfirmAgreement;
    }

    public void setFinancingConfirmAgreement(String financingConfirmAgreement) {
        this.financingConfirmAgreement = financingConfirmAgreement;
    }

    public Integer getContractNum() {
        return contractNum;
    }

    public void setContractNum(Integer contractNum) {
        this.contractNum = contractNum;
    }
}
